/* global KuferTools */

/**
 *  Stellt Handler zum Bearbeiten von Dozentenportraits bereit.
 */

$(document).ready(function() {
  
  $('#main_content .sightdiv.uebersicht').css('height', '630px');
  
  //Gibt den Dialog zum Bearbeiten von Dozentenportraits aus.
  //Verwendet den Sightbuilder zum Aufbau des Formulars u. sendet einen Ajax-Request ab; Dialog wird beim Klick auf 
  // Button bearbeiten ausgegeben
  $('.portrait_bearbeiten').click(function() {
     var link = 'usertools.php';
     var actionPart = '&action=updatePortrait';
     var dataStr = "tool_id=" + KuferTools.ToolId + '&toolsection_id=' + KuferTools.ToolSectionId + actionPart;
     var position = [130, 130];
     var weite = 800;
     var buttons =   {
                    "Speichern": function() {
                      var actionLink = KuferTools.SelfLink.replace(/&wb__already__decoded=done/g, '').replace(/#.*/, '');
                      var $form = KuferTools.Page;
                      $form.prop('action', actionLink);
                      $form.append('<input type="hidden" name="bearbeiten" value="1">');
                      
                      //Hier werden Felder auf Korrektheit überprüft, u. a. ob Pflichtfelder
                      //ausgefüllt wurden und ob bestimmte Felder gültige Zeichen enthalten.
                      //Hängt bei fehlerhaften Feldern die Klasse form_error an.
                      var formValid = validateForm($form.find('input, textarea'));
                      
                      if (!formValid) {
                        //Inputs vom Typ "File" können nicht per css formatiert werden.
                        //Deshalb hier ein Popup-Fenster mit einem Hinweis erzeugen.
                        if ( $('#uploadImage').hasClass('form_error') ) {
                          showMessage("Bitte wählen Sie für den Upload nur Bilddateien im Format JPEG aus. (z. B. meinBild.jpg)", 'Falsches Bildformat');
                        }
                      }
                      else {
                        $form.submit(); //Dialog close ist hier nicht nötig, da die Seite sowieso neu geladen wird
                      }
                   },
                    "Abbrechen": function() {$(this).dialog("close");}
                   }; 
   //Hier erfolgt das Nachladen der Seite via Ajax und die Seitenausgabe via showMessage()
   KuferTools.Utils.loadAndDisplayPage(link, dataStr, buttons, weite, position);
  });
});